curl -X GET "https://api.affonso.io/v1/finder/shortlist?limit=50" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "cmk2q1wau0003sb01lpvka003",
"name": "Example",
"domain": "example.com",
"urls": [
"https://example.com/article"
],
"category": "google",
"emails": [],
"social_media": [],
"notes": null,
"status": "NEW",
"created_at": "2026-08-28T00:00:00.000Z",
"updated_at": "2026-08-28T00:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1,
"has_next_page": false,
"has_prev_page": false
}
}
Affiliate Finder
List Finder Shortlist
List saved Affiliate Finder opportunities
GET
/
v1
/
finder
/
shortlist
curl -X GET "https://api.affonso.io/v1/finder/shortlist?limit=50" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "cmk2q1wau0003sb01lpvka003",
"name": "Example",
"domain": "example.com",
"urls": [
"https://example.com/article"
],
"category": "google",
"emails": [],
"social_media": [],
"notes": null,
"status": "NEW",
"created_at": "2026-08-28T00:00:00.000Z",
"updated_at": "2026-08-28T00:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1,
"has_next_page": false,
"has_prev_page": false
}
}
Query Parameters
integer
default:"1"
Page number for pagination. Must be a positive integer.
integer
default:"50"
Number of results per page. Maximum value is 100. Default is 50.
string
Filter by opportunity category. Maximum 50 characters.
string
Filter by workflow status. Maximum 50 characters.
string
Case-insensitive filter on name or domain. Maximum 200 characters.
Response
The response includes a paginated list of saved opportunities and pagination metadata.boolean
Always
true for successful responsesarray
Array of shortlist item objects.
Show Data Object Properties
Show Data Object Properties
string
Unique identifier for the shortlist item
string
Opportunity name
string
Opportunity domain
string[]
URLs grouped into this shortlist item
string
Opportunity category
string[]
Saved contact emails
string[]
Saved social profile URLs
string | null
Notes, or
null if unsetstring | null
Workflow status, or
null if unsetstring
ISO 8601 timestamp of when the item was created
string
ISO 8601 timestamp of when the item was last updated
object
Pagination metadata object containing:
page(integer): Current page numberlimit(integer): Number of results per pagetotal(integer): Total number of items matching the filterstotal_pages(integer): Total number of pageshas_next_page(boolean): Whether there is a next pagehas_prev_page(boolean): Whether there is a previous page
curl -X GET "https://api.affonso.io/v1/finder/shortlist?limit=50" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "cmk2q1wau0003sb01lpvka003",
"name": "Example",
"domain": "example.com",
"urls": [
"https://example.com/article"
],
"category": "google",
"emails": [],
"social_media": [],
"notes": null,
"status": "NEW",
"created_at": "2026-08-28T00:00:00.000Z",
"updated_at": "2026-08-28T00:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1,
"has_next_page": false,
"has_prev_page": false
}
}
Errors
| Status | Code | Description |
|---|---|---|
400 | VALIDATION_ERROR | Invalid query parameters |
Notes
- Requires the
read:finderpermission.
Was this page helpful?
